scala.tools.nsc.reporters

# Reporter

#### abstract class Reporter extends reflect.internal.Reporter

Report information, warnings and errors.

This describes the internal interface for issuing information, warnings and errors. The only abstract method in this class must be info0.

TODO: Move external clients (sbt/ide/partest) to reflect.internal.Reporter, and remove this class.

Source
  Reporter.scala

Linear Supertypes
reflect.internal.Reporter, AnyRef, Any
Known Subclasses
AbstractReporter, ConsoleReporter, ContextReporter, StoreReporter
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Reporter
2. Reporter
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new Reporter()

### Type Members

1. #### class Severity extends AnyRef

### Abstract Value Members

1. #### abstract def info0(pos: Position, msg: String, severity: Severity, force: Boolean): Unit

   Attributes
     protected
   Definition Classes
     Reporter

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from Reporter to any2stringadd[Reporter] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (Reporter, B)

   Implicit information
     This member is added by an implicit conversion from Reporter to ArrowAssoc[Reporter] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### lazy val ERROR: Severity

   Definition Classes
     Reporter → Reporter

7. #### object INFO extends Severity

   Definition Classes
     Reporter → Reporter

8. #### object WARNING extends Severity

   Definition Classes
     Reporter → Reporter

9. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

10. #### var cancelled: Boolean

11. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

12. #### def comment(pos: Position, msg: String): Unit

13. #### def count(severity: Severity): Int

    Definition Classes
      Reporter → Reporter

14. #### def echo(msg: String): Unit

    For sending a message which should not be labeled as a warning/error, but also shouldn't require -verbose to be visible.

15. #### def echo(pos: Position, msg: String): Unit

    Definition Classes
      Reporter

16. #### def ensuring(cond: (Reporter) ⇒ Boolean, msg: ⇒ Any): Reporter

    Implicit information
      This member is added by an implicit conversion from Reporter to Ensuring[Reporter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

17. #### def ensuring(cond: (Reporter) ⇒ Boolean): Reporter

    Implicit information
      This member is added by an implicit conversion from Reporter to Ensuring[Reporter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

18. #### def ensuring(cond: Boolean, msg: ⇒ Any): Reporter

    Implicit information
      This member is added by an implicit conversion from Reporter to Ensuring[Reporter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

19. #### def ensuring(cond: Boolean): Reporter

    Implicit information
      This member is added by an implicit conversion from Reporter to Ensuring[Reporter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

20. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

21. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

22. #### def error(pos: Position, msg: String): Unit

    Definition Classes
      Reporter

23. #### def errorCount: Int

    Definition Classes
      Reporter

24. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

25. #### def flush(): Unit

    Definition Classes
      Reporter

26. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from Reporter to StringFormat[Reporter] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

27. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

28. #### def hasErrors: Boolean

    Definition Classes
      Reporter → Reporter

29. #### def hasWarnings: Boolean

    Definition Classes
      Reporter

30. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

31. #### final def info(pos: Position, msg: String, force: Boolean): Unit

    Informational messages.

    Informational messages. If `!force`, they may be suppressed.

32. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

33. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

34. #### final def notify(): Unit

    Definition Classes
      AnyRef

35. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

36. #### def reset(): Unit

    Definition Classes
      Reporter → Reporter

37. #### def resetCount(severity: Severity): Unit

    Definition Classes
      Reporter → Reporter

38. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

39. #### def toString(): String

    Definition Classes
      AnyRef → Any

40. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

41. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

42. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

43. #### def warning(pos: Position, msg: String): Unit

    Definition Classes
      Reporter

44. #### def warningCount: Int

    Definition Classes
      Reporter

45. #### def →[B](y: B): (Reporter, B)

    Implicit information
      This member is added by an implicit conversion from Reporter to ArrowAssoc[Reporter] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from reflect.internal.Reporter

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Reporter to any2stringadd[Reporter]

### Inherited by implicit conversion StringFormat from Reporter to StringFormat[Reporter]

### Inherited by implicit conversion Ensuring from Reporter to Ensuring[Reporter]

### Inherited by implicit conversion ArrowAssoc from Reporter to ArrowAssoc[Reporter]

### Ungrouped